Bug 156606 - Copy and paste OOo draw into OOo impress corruption
Copy and paste OOo draw into OOo impress corruption
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-05-02 09:29 EDT by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-10 06:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2005-05-02 09:29:47 EDT
Description of problem:
If you copy and paste special an OOo draw file into OOo impress, a corruption
occurs which stops you from saving the impress document. It will premenantly
give an error that you have insufficient write privileges. Export to swf and pdf
works fine as it seems to only save the original document after that.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create an ooo impress document (and save it) and ooo draw diagram
2. Make the ooo draw diagram into one group and copy (ctrl c)
3. Paste special into the ooo impress document and attempt to save
Actual results:
Error saying you have insufficient rights/priviledges occurs

Expected results:
File saves and the world is a happy place!

Additional info:
Also corrupts back ups. The file cannot be saved as any other OOo format (such
as v1.1.3 or MS Office format) Corruption gives a zero byte size file.
Comment 1 Caolan McNamara 2005-05-04 12:44:30 EDT
Trying this in 1,9,100-1 (due out soon) I can't reproduce this. Does it *always*
happen, paste special as "Draw 8" ?
Comment 2 Paul F. Johnson 2005-05-04 17:14:27 EDT
In version 1.9.96-2, yes. It looks like the 1.9.100-1 version has fixed it.

Note You need to log in before you can comment on or make changes to this bug.